Method: advertisers.reachForecast.retrievePlannableProducts

Retrieves the list of products that can be planned for a location.

HTTP request

GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableProducts

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser to list plannable products for.

Query parameters

Parameters
plannableLocationId

string

Required. The ID of the plannable location.

Request body

The request body must be empty.

Response body

Response for reachForecast.retrievePlannableProducts

If successful, the response body contains data with the following structure:

JSON representation
{
  "productMetadata": [
    {
      object (ProductMetadata)
    }
  ]
}
Fields
productMetadata[]

object (ProductMetadata)

Output only. The list of product metadata showing targeting possibilities.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.

ProductMetadata

Metadata for a plannable product.

JSON representation
{
  "plannableProductDescription": string,
  "plannableProductCode": string,
  "plannableTargeting": {
    object (PlannableTargeting)
  },
  "displayName": string,
  "plannableProductCoreAttributes": {
    object (PlannableProductCoreAttributes)
  }
}
Fields
plannableProductDescription

string

Output only. The plain-text description of the ad product.

plannableProductCode

string

Output only. The plannable product code (e.g. "YOUTUBE_REACH_MIX").

plannableTargeting

object (PlannableTargeting)

Output only. The targeting capabilities available for this product.

displayName

string

Output only. The name associated with the ad product. For example: "Video View Campaign".

plannableProductCoreAttributes

object (PlannableProductCoreAttributes)

Output only. Core attributes for this product.

PlannableTargeting

Targeting capabilities for a given product.

JSON representation
{
  "ageRanges": [
    enum (PlannableAgeRange)
  ],
  "surfaceTargetingCombinations": {
    object (SurfaceTargetingCombinations)
  },
  "genders": [
    enum (Gender)
  ],
  "networks": [
    enum (PlannableNetwork)
  ],
  "devices": [
    enum (DeviceType)
  ],
  "youtubeSelectLineups": [
    {
      object (YouTubeSelectLineUp)
    }
  ],
  "defaultYoutubeSelectLineup": {
    object (YouTubeSelectLineUp)
  }
}
Fields
ageRanges[]

enum (PlannableAgeRange)

Output only. Allowed plannable age ranges for the product. Actual targeting is computed by mapping this age range onto standard Google age targeting.

surfaceTargetingCombinations

object (SurfaceTargetingCombinations)

Output only. Targetable surface combinations for the ad product.

genders[]

enum (Gender)

Output only. Targetable genders for the ad product.

networks[]

enum (PlannableNetwork)

Output only. Targetable networks for the ad product.

devices[]

enum (DeviceType)

Output only. Targetable devices for the ad product.

youtubeSelectLineups[]

object (YouTubeSelectLineUp)

Output only. Targetable YouTube Select Lineups for the ad product.

defaultYoutubeSelectLineup

object (YouTubeSelectLineUp)

Output only. The default YouTube Select Lineup for this product, if applicable.

SurfaceTargetingCombinations

Surface targeting rules.

JSON representation
{
  "availableSurfaceTypes": [
    enum (PlannableSurface)
  ],
  "validSurfaceCombinations": [
    {
      object (SurfaceTargetingCombination)
    }
  ],
  "defaultSurfaceTypes": [
    enum (PlannableSurface)
  ]
}
Fields
availableSurfaceTypes[]

enum (PlannableSurface)

Output only. The surface types available.

validSurfaceCombinations[]

object (SurfaceTargetingCombination)

Output only. Valid combinations of surfaces that can be selected together.

defaultSurfaceTypes[]

enum (PlannableSurface)

Output only. The default surface types for this product.

SurfaceTargetingCombination

A valid combination of surfaces.

JSON representation
{
  "choices": [
    enum (PlannableSurface)
  ]
}
Fields
choices[]

enum (PlannableSurface)

Output only. The combination of surfaces.

YouTubeSelectLineUp

A Plannable YouTube Select Lineup for product targeting.

JSON representation
{
  "lineupId": string,
  "displayName": string
}
Fields
lineupId

string (int64 format)

Output only. The ID of the YouTube Select Lineup.

displayName

string

Output only. The display name of the YouTube Select Lineup.

PlannableProductCoreAttributes

Core attributes for a plannable product.

JSON representation
{
  "productCategory": enum (PlannableProductCategory),
  "buyingMethod": enum (PlannableBuyingMethod),
  "costModel": enum (PlannableCostModel)
}
Fields
productCategory

enum (PlannableProductCategory)

Output only. The product category.

buyingMethod

enum (PlannableBuyingMethod)

Output only. The buying method.

costModel

enum (PlannableCostModel)

Output only. The cost model.

PlannableBuyingMethod

The buying method of a plannable product.

Enums
PLANNABLE_BUYING_METHOD_UNSPECIFIED Not specified.
PLANNABLE_BUYING_METHOD_AUCTION Auction.
PLANNABLE_BUYING_METHOD_RESERVATION Reservation.

PlannableCostModel

The cost model of a plannable product.

Enums
PLANNABLE_COST_MODEL_UNSPECIFIED Not specified.
PLANNABLE_COST_MODEL_CPM CPM.
PLANNABLE_COST_MODEL_CPV CPV.
PLANNABLE_COST_MODEL_CPC CPC.
PLANNABLE_COST_MODEL_CPA CPA.